NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.ConicCrossSection Class Reference

Represents a conic section data for face blend. More...

Inheritance diagram for NXOpen.GeometricUtilities.ConicCrossSection:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DefineMethod { BoundaryPlusCenter, BoundaryPlusRho, CenterPlusRho }
 This enum represents the conic method for advanced symmetric conic More...
 
enum  DepthMethod { Constant, Law }
 This enum represents the depth option More...
 
enum  OffsetMethod { Constant, Law }
 This enum represents the offset options More...
 
enum  RhoMethod { Constant, Law, AutoEllipse }
 This enum represents the rho options More...
 
enum  ShapeSkewMethod { Constant, Law }
 This enum represents the shape skew option More...
 

Public Member Functions

unsafe void SetFirstOffset (string offset)
 Sets the first offset for the conic section with face blend. More...
 
unsafe void SetLawControlConstantDepth (string radius)
 Sets a constant radius for the depth law control of the conic section with face blend. More...
 
unsafe void SetLawControlConstantFirstOffset (string radius)
 Sets a constant radius for the first law control of the conic section with face blend. More...
 
unsafe void SetLawControlConstantRho (string radius)
 Sets a constant radius for the rho law control of the conic section with face blend. More...
 
unsafe void SetLawControlConstantSecondOffset (string radius)
 Sets a constant radius for the second law control of the conic section with face blend. More...
 
unsafe void SetLawControlConstantShapeSkew (string radius)
 Sets a constant radius for the shape skew law control of the conic section with face blend. More...
 
unsafe void SetLawControlDepthEndRadius (string radius)
 Sets a end radius for the depth law control of the conic section with face blend. More...
 
unsafe void SetLawControlDepthStartRadius (string radius)
 Sets a start radius for the depth law control of the conic section with face blend. More...
 
unsafe void SetLawControlFirstOffsetEndRadius (string radius)
 Sets a end radius for the first law control of the conic section with face blend. More...
 
unsafe void SetLawControlFirstOffsetStartRadius (string radius)
 Sets a start radius for the first law control of the conic section with face blend. More...
 
unsafe void SetLawControlRhoEndRadius (string radius)
 Sets a end radius for the rho law control of the conic section with face blend. More...
 
unsafe void SetLawControlRhoStartRadius (string radius)
 Sets a start radius for the rho law control of the conic section with face blend. More...
 
unsafe void SetLawControlSecondOffsetEndRadius (string radius)
 Sets a end radius for the second law control of the conic section with face blend. More...
 
unsafe void SetLawControlSecondOffsetStartRadius (string radius)
 Sets a start radius for the second law control of the conic section with face blend. More...
 
unsafe void SetLawControlShapeSkewEndRadius (string radius)
 Sets a end radius for the shape skew law control of the conic section with face blend. More...
 
unsafe void SetLawControlShapeSkewStartRadius (string radius)
 Sets a start radius for the shape skew law control of the conic section with face blend. More...
 
unsafe void SetRho (string rho)
 Sets a rho expression for the conic section with face blend. More...
 
unsafe void SetSecondOffset (string offset)
 Sets the second offset for the conic section with face blend. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.ConicCrossSection.DefineMethod 
ConicMethod [get, set]
 Returns or sets the conic method for the advanced symmetric conic section with face blend More...
 
unsafe NXOpen.Expression Depth [get]
 Returns the depth expression for the conic section with face blend More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
DepthLawControl [get]
 Returns the Depth Law builder More...
 
unsafe
NXOpen.GeometricUtilities.ConicCrossSection.DepthMethod 
DepthOption [get, set]
 Returns or sets the depth option for the conic section with face blend More...
 
unsafe NXOpen.ScCollector FirstConstraintCurveCollector [get, set]
 Returns or sets the first constraint curve collector More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
FirstLawControl [get]
 Returns the First Offset Law builder More...
 
unsafe NXOpen.Expression FirstOffset [get]
 Returns the first offset for the conic section with face blend More...
 
unsafe
NXOpen.GeometricUtilities.ConicCrossSection.OffsetMethod 
FirstOffsetOption [get, set]
 Returns or sets the first offset option for the conic section with face blend More...
 
unsafe NXOpen.Expression OffsetSkewRatio [get]
 Returns the offset skew ratio expression for the conic section with face blend More...
 
unsafe NXOpen.Expression Rho [get]
 Returns the rho expression for the conic section with face blend More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
RhoLawControl [get]
 Returns the Rho Law builder More...
 
unsafe
NXOpen.GeometricUtilities.ConicCrossSection.RhoMethod 
RhoOption [get, set]
 Returns or sets the rho option for the conic section with face blend More...
 
unsafe NXOpen.ScCollector SecondConstraintCurveCollector [get, set]
 Returns or sets the second constraint curve collector More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
SecondLawControl [get]
 Returns the Second Offset Law builder More...
 
unsafe NXOpen.Expression SecondOffset [get]
 Returns the second offset for the conic section with face blend More...
 
unsafe
NXOpen.GeometricUtilities.ConicCrossSection.OffsetMethod 
SecondOffsetOption [get, set]
 Returns or sets the second offset option for the conic section with face blend More...
 
unsafe NXOpen.Expression ShapeSkew [get]
 Returns the shape skew expression for the conic section with face blend More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
ShapeSkewLawControl [get]
 Returns the Shape Skew Law builder More...
 
unsafe
NXOpen.GeometricUtilities.ConicCrossSection.ShapeSkewMethod 
ShapeSkewOption [get, set]
 Returns or sets the shape skew option for the conic section with face blend More...
 
unsafe bool TransitionLinkFlag [get, set]
 Returns or sets the flag to link multi-transition law types More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a conic section data for face blend.

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the conic method for advanced symmetric conic

Enumerator
BoundaryPlusCenter 

conic shape controlled by boundary and center values

BoundaryPlusRho 

conic shape controlled by boundary and rho values

CenterPlusRho 

conic shape controlled by center and rho values

This enum represents the depth option

Enumerator
Constant 

Constant

Law 

Control by law

This enum represents the offset options

Enumerator
Constant 

Constant

Law 

Control by law

This enum represents the rho options

Enumerator
Constant 

Constant

Law 

Control by law

AutoEllipse 

Automatic Ellipse

This enum represents the shape skew option

Enumerator
Constant 

Constant

Law 

Control by law

Member Function Documentation

unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetFirstOffset ( string  offset)
inline

Sets the first offset for the conic section with face blend.

Created in NX4.0.0

Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using NXOpen.GeometricUtilities.ConicCrossSection.FirstOffset and NXOpen.Expression.RightHandSide .

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
offset
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlConstantDepth ( string  radius)
inline

Sets a constant radius for the depth law control of the conic section with face blend.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlConstantFirstOffset ( string  radius)
inline

Sets a constant radius for the first law control of the conic section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlConstantRho ( string  radius)
inline

Sets a constant radius for the rho law control of the conic section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlConstantSecondOffset ( string  radius)
inline

Sets a constant radius for the second law control of the conic section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlConstantShapeSkew ( string  radius)
inline

Sets a constant radius for the shape skew law control of the conic section with face blend.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlDepthEndRadius ( string  radius)
inline

Sets a end radius for the depth law control of the conic section with face blend.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlDepthStartRadius ( string  radius)
inline

Sets a start radius for the depth law control of the conic section with face blend.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlFirstOffsetEndRadius ( string  radius)
inline

Sets a end radius for the first law control of the conic section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlFirstOffsetStartRadius ( string  radius)
inline

Sets a start radius for the first law control of the conic section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlRhoEndRadius ( string  radius)
inline

Sets a end radius for the rho law control of the conic section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlRhoStartRadius ( string  radius)
inline

Sets a start radius for the rho law control of the conic section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlSecondOffsetEndRadius ( string  radius)
inline

Sets a end radius for the second law control of the conic section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlSecondOffsetStartRadius ( string  radius)
inline

Sets a start radius for the second law control of the conic section with face blend.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlShapeSkewEndRadius ( string  radius)
inline

Sets a end radius for the shape skew law control of the conic section with face blend.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetLawControlShapeSkewStartRadius ( string  radius)
inline

Sets a start radius for the shape skew law control of the conic section with face blend.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetRho ( string  rho)
inline

Sets a rho expression for the conic section with face blend.

Created in NX4.0.0

Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using NXOpen.GeometricUtilities.ConicCrossSection.Rho and NXOpen.Expression.RightHandSide .

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
rho
unsafe void NXOpen.GeometricUtilities.ConicCrossSection.SetSecondOffset ( string  offset)
inline

Sets the second offset for the conic section with face blend.

Created in NX4.0.0

Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using NXOpen.GeometricUtilities.ConicCrossSection.SecondOffset and NXOpen.Expression.RightHandSide .

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
offset
unsafe bool NXOpen.GeometricUtilities.ConicCrossSection.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.GeometricUtilities.ConicCrossSection.DefineMethod NXOpen.GeometricUtilities.ConicCrossSection.ConicMethod
getset

Returns or sets the conic method for the advanced symmetric conic section with face blend

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ConicCrossSection.Depth
get

Returns the depth expression for the conic section with face blend

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.GeometricUtilities.ConicCrossSection.DepthLawControl
get

Returns the Depth Law builder

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ConicCrossSection.DepthMethod NXOpen.GeometricUtilities.ConicCrossSection.DepthOption
getset

Returns or sets the depth option for the conic section with face blend

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.GeometricUtilities.ConicCrossSection.FirstConstraintCurveCollector
getset

Returns or sets the first constraint curve collector

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.GeometricUtilities.ConicCrossSection.FirstLawControl
get

Returns the First Offset Law builder

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ConicCrossSection.FirstOffset
get

Returns the first offset for the conic section with face blend

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ConicCrossSection.OffsetMethod NXOpen.GeometricUtilities.ConicCrossSection.FirstOffsetOption
getset

Returns or sets the first offset option for the conic section with face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ConicCrossSection.OffsetSkewRatio
get

Returns the offset skew ratio expression for the conic section with face blend

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ConicCrossSection.Rho
get

Returns the rho expression for the conic section with face blend

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.GeometricUtilities.ConicCrossSection.RhoLawControl
get

Returns the Rho Law builder

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ConicCrossSection.RhoMethod NXOpen.GeometricUtilities.ConicCrossSection.RhoOption
getset

Returns or sets the rho option for the conic section with face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.GeometricUtilities.ConicCrossSection.SecondConstraintCurveCollector
getset

Returns or sets the second constraint curve collector

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.GeometricUtilities.ConicCrossSection.SecondLawControl
get

Returns the Second Offset Law builder

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ConicCrossSection.SecondOffset
get

Returns the second offset for the conic section with face blend

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ConicCrossSection.OffsetMethod NXOpen.GeometricUtilities.ConicCrossSection.SecondOffsetOption
getset

Returns or sets the second offset option for the conic section with face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ConicCrossSection.ShapeSkew
get

Returns the shape skew expression for the conic section with face blend

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.GeometricUtilities.ConicCrossSection.ShapeSkewLawControl
get

Returns the Shape Skew Law builder

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ConicCrossSection.ShapeSkewMethod NXOpen.GeometricUtilities.ConicCrossSection.ShapeSkewOption
getset

Returns or sets the shape skew option for the conic section with face blend

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricUtilities.ConicCrossSection.TransitionLinkFlag
getset

Returns or sets the flag to link multi-transition law types

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.